This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 763939 - (GLUSTER-2207) NFS "Invalid Argument" when adding bricks
NFS "Invalid Argument" when adding bricks
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.1
All Windows
low Severity medium
: ---
: ---
Assigned To: Krishna Srinivas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-09 16:33 EST by Jacob Shucart
Modified: 2011-09-30 03:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jacob Shucart 2010-12-09 16:33:13 EST
I created a Gluster volume with 2 servers in replicate mode.  I mount the volume using NFS.  When I type df everything shows up normally:

[root@jacobgfs31-s1 test]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      3.8G  2.8G  819M  78% /
/dev/mapper/VolGroup00-LogVol02
                      1.5G   69M  1.3G   5% /data
/dev/vda1              99M   19M   75M  21% /boot
tmpfs                 250M     0  250M   0% /dev/shm
localhost:/dynamictest
                      2.9G  137M  2.6G   5% /test

I then add 2 new bricks and run df and it starts complaining:

[root@jacobgfs31-s1 ~]# gluster volume add-brick dynamictest jacobgfs31-s3:/data jacobgfs31-s4:/data
Add Brick successful
[root@jacobgfs31-s1 ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      3.8G  2.8G  819M  78% /
/dev/mapper/VolGroup00-LogVol02
                      1.5G   69M  1.3G   5% /data
/dev/vda1              99M   19M   75M  21% /boot
tmpfs                 250M     0  250M   0% /dev/shm
df: `/test': Invalid argument


I let it sit for a while and the error stayed around.  If I then cd to /test I'm able to write files, everything works, and when I hit df again, the error goes away.  This is a minor issue it appears, but someone(StreamTheWorld) did encounter it in their testing.
Comment 1 Anand Avati 2010-12-09 21:19:16 EST
Jacob,
 We fixed a bug sounding very similar in 3.1.2qa1. Can you please verify if that fix works for this situation as well?

Thanks,
Avati
Comment 2 Krishna Srinivas 2011-09-29 03:24:44 EDT
Does not happen in 3.2.3. Jacob can I close the bug?


[root@centos5 ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda2              17G  2.9G   13G  19% /
/dev/sda1             251M   17M  222M   7% /boot
tmpfs                 249M     0  249M   0% /dev/shm
localhost:/test        50G  9.3G   39G  20% /mnt
[root@centos5 ~]# gluster volume add-brick test 10.1.11.70:/export/dir4 10.1.11.72:/export/dir4
Add Brick successful
[root@centos5 ~]# df -h 
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda2              17G  2.9G   13G  19% /
/dev/sda1             251M   17M  222M   7% /boot
tmpfs                 249M     0  249M   0% /dev/shm
localhost:/test        67G   13G   51G  20% /mnt
[root@centos5 ~]#
Comment 3 Jacob Shucart 2011-09-29 06:43:31 EDT
Close it.

Note You need to log in before you can comment on or make changes to this bug.